# Generated by Django 3.0.3 on 2020-02-25 09:29

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('api', '0003_auto_20200128_1258'),
    ]

    operations = [
        migrations.CreateModel(
            name='Region',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('country', models.CharField(help_text='The country of the region', max_length=32)),
                ('region', models.CharField(help_text='The region in the country', max_length=100)),
                ('city', models.CharField(help_text='The city of the region', max_length=100)),
                ('zip_code', models.CharField(blank=True, help_text='The zip code of the region', max_length=10, null=True)),
            ],
        ),
        migrations.RemoveField(
            model_name='deployment',
            name='country',
        ),
        migrations.AlterField(
            model_name='deployment',
            name='region',
            field=models.ForeignKey(help_text='The region of the deployment', on_delete=django.db.models.deletion.CASCADE, to='api.Region'),
        ),
    ]
